FROM python:3.9
ARG DEFAULT_VERSION
ARG DEFAULT_PORT=8765
ENV SFVSIM_PORT ${DEFAULT_PORT}
ENV SFV_VERSION ${DEFAULT_VERSION}
EXPOSE $DEFAULT_PORT/tcp
RUN apt-get update && apt-get install -y cmake && apt-get clean && mkdir -p /opt/sfvsim
COPY . /opt/sfvsim/
RUN cd /tmp && git clone https://gitlab.com/loic.petit/sfvfile.git && cd sfvfile && pip install .
RUN cd /opt/sfvsim/ && pip install -r deps.txt
WORKDIR /opt/sfvsim/
ENTRYPOINT python server.py $SFV_VERSION $SFVSIM_PORT

